//Sprite yukleme bolgesi

#include "mostemp.h"
//Font
MOSFont font;
//Spritelar
MOSSprite mouse;
MOSSprite logo;
MOSSprite lava;
MOSSprite lava2;
MOSSprite arka;
MOSSprite top;
MOSSprite sopa;

MOSSprite player;
MOSSprite efek;

MOSSprite arka2;
MOSSprite menus;

MOSTile *duvartile=0;
MOSTile *exp2tile=0;


void Spriteinit()
{
	font.Olustur(resim,pencere.g_EkranY,"data/spr/font");
	mouse.Olustur(resim,pencere.g_EkranY,"data/spr/mouse",true,"data/spr/mouse_m",32,32);
	logo.Olustur(resim,pencere.g_EkranY,"data/spr/mos3d",false,"data/spr/mos3d",256,160);
	lava.Olustur(resim,pencere.g_EkranY,"data/spr/lava",false,"data/spr/lava",256,160);
	lava2.Olustur(resim,pencere.g_EkranY,"data/spr/lava2",false,"data/spr/lava2",256,160);
	arka.Olustur(resim,pencere.g_EkranY,"data/spr/arka",false,"data/spr/arka",640,480);
	sopa.Olustur(resim,pencere.g_EkranY,"data/spr/sopa",false,"data/spr/sopa",128,32);


	top.Olustur(resim,pencere.g_EkranY,"data/spr/top",false,"data/spr/topm",16,16,true,"data/spr/sopa");
	top.SetVel(5,5);
		
	arka2.Olustur(resim,pencere.g_EkranY,"data/spr/arka2",false,"data/spr/arka2",640,480);
	arka2.tile = 1;

	player.Olustur(resim,pencere.g_EkranY,"data/spr/sopa",false,"data/spr/sopa",128,32);
	efek.Olustur(resim,pencere.g_EkranY,"data/spr/lava2",false,"data/spr/lava2",256,160);

	duvartile = new MOSTile();
	duvartile->Olustur(resim,pencere.g_EkranY,"data/spr/duvar",true,"data/spr/duvarm",30,15);

	menus.Olustur(resim,pencere.g_EkranY,"data/spr/menus",false,"data/spr/menus",640,30);
	
	exp2tile = new MOSTile();
	exp2tile->OlusturEfek(resim,pencere.g_EkranY,"data/spr/efek/exp",55,55,15,20);

}